mysql

シェルスクリプトを組む時に、mysql 5.6 で mysql -phogehogeとやった時 Warning: Using a password on the command line interface can be insecure.が表示される。

正しくは実行されるがwarningを消したい場合は、MYSQL_PWDという環境変数を使うことで解消できる。

MYSQL_PWD=hogehoge mysql

http://qiita.com/e_tei/items/bbfc90bfae28799d2176 http://qiita.com/kyswtnb/items/362a8d3b0dae1ad311ec

ただ、マニュアルには非常に危険と書かれているので、mysql_config_editor.my.cnfを利用するほうが良いのかも。

https://dev.mysql.com/doc/refman/5.6/ja/password-security-user.html